/* CSS Grid */
* {
  padding: 0;
  margin: 0 auto;
  border: 0;
  box-sizing: border-box;

  font-family: 'Source Sans Pro',sans-serif;
  font-size: 16px;
  list-style: none;
}

:root {
  --acentos: #F15A29;
  --light: #ffffff;
  --dark: #000000;
  --naranja: #FF6000;
  --naranja-dark: #bd4800;
  --enviar: #267fff;

  --succes-color: #2ecc71;
  --error-color: #e74c3c;
  --error: #ff0000;

}

body {
  font-family: 'Source Sans Pro', sans-serif;
  font-weight: 300;
  background-color: white;

  width: 100%;
  position: relative;
}

#main {
  display: grid;
  width: 100vw;

  grid-template-areas:
          "xper circles circles"
          "contacto contacto contacto"
          "footer footer footer";
  grid-template-rows: 100vh auto auto;
  grid-template-columns: 1fr 1fr 1fr;
}

#main > #xper {
  grid-area: xper;
}

#main > #circles {
  grid-area: circles;
}

#main > #contacto {
  grid-area: contacto;
}

#main > #footer {
  grid-area: footer;
}

#xper {
  background-color: white;
  height: 80vh;

  display: grid;
  justify-content: center;
  align-content: center;
  justify-items: center;

}

#region {
  width: 32vw;
  height: 100vh;
}

#xperiencia {
  display: grid;
  align-items: center;
  width: 80%;
  margin: 0 auto;
  padding: 10em 0 4em 0;
}

.xptext {
  font-weight: 600;
  font-size: 1em;
  width: 80%;
  padding: 0 0 10px 0;
  color: var(--naranja);
  margin: 10px 0 0 0;
  text-align: left;
}

.xptextlast {
  margin-bottom: 2rem;
}

#gracias {
  font-weight: 700;
  font-size: 2em;
  color: black;
  padding: 2rem;
}

.xptextlast {
  padding-bottom: 2rem;
  /*background-color: #267fff;*/
}

.xptexthanks {
  font-weight: 600;
  font-size: 1em;
  width: 80%;
  padding: 10px;
  color: var(--naranja);
  margin-bottom: 2em;
  text-align: center;
}


#circles {
  /*background-color: #190b00;*/
  width: 66vw;
  height: 100vh;
  background-color: black;

  display: grid;
  align-content: center;

  overflow: hidden;
}

#circulos {
  overflow: hidden;
}

#ruedas {
  width: 100%;

  position: absolute;
  top: 25%;
  left: 65%;
  transform: translate(-50%, -50%);

  background-image: url("/svg/x-circles.svg");

}

.center-cropped {
  width: 75vw;
  height: 75vw;
  background-position: center center;
  background-repeat: no-repeat;

  background-image: url("/svg/x-circles.svg");
}

/* CONTACTO */
#contact {
  width: 100vw;
  background-color: var(--acentos);
}

#contactimg {
  height: 5rem;
  padding: 20px;

  display: block;
  margin-left: auto;
  margin-right: auto;
  width: 50vw;

}

h2 {
  font-family: 'Source Sans Pro',sans-serif;
}

#info {
  /*margin: 1rem 0 1rem 0;*/
  padding: 2rem 0 0 0;

  display: grid;
  justify-content: center;
  align-content: center;
  justify-items: center;
}

hr {

}

.linea {
  width: 80vw;
  height: 1vw;

  margin: 1rem -50% 1rem -50%;


  display: flex;
  justify-content: center;
}

hr {
  border: none;
  border-top: 3px solid #333;
  color: #333;
  overflow: visible;
  text-align: center;
  height: 0;
  width: 150px;

  padding: 0;
  background-color: #267fff;
}

hr:after {
  /*background: #fff;*/
  /*content: '§';*/
  /*padding: 0 4px;*/
  /*position: relative;*/
  /*top: -13px;*/
}

#raya {
  width: 40%;
  height: 3px;
  margin: 6px 0 4px 0;
  padding: 1px 0 1px 0;

  color: #267fff;
  background-color: #333;
}

#rayadown {
  width: 40%;
  height: 3px;
  margin: 6px 0 4px 0;
  padding: 1px 0 1px 0;

  color: #ffffff;
  background-color: #ffffff;
}

#barup {
  border-top: 3px solid #333;
  padding: 8px 0 0 0;
}

#bardown {
  border-top: 3px solid #ffffff;
}

.rayitaup {

}

.rayitadown {

}



.invitacion {
  font-size: 1.5rem;
  text-align: center;
  font-weight: 400;
  font-family: 'Source Sans Pro',sans-serif;
  color: white;
  padding: 1rem 0 1rem 0;
}

B {
  font-weight: 700;
  font-size: inherit;
  color: black;
}

.textarea {
  width: 100%;
  border-radius: 4px;
  height: 6rem;

}

/* FORMA */
.forma {
  width: 50vw;
  border-radius: 4px;

}

.form{
  padding: 30px 40px;
}

.form-control{
  margin-bottom: 10px;
  padding-bottom: 20px;
  position: relative;
}

.form-control label{
  color: white;
  display: block;
  margin-bottom: 5px;
}

#mensaje {
  border-radius: 4px;
}

.form-control input
{
  border: 2px solid #f0f0f0;
  border-radius: 4px;
  display: block;
  width: 100%;
  padding: 10px;
  font-size: 14px;
}

.form-control input:focus{
  outline: 0;
  border-color: #777;

}

.form-control.success input {
  border-color: var(--succes-color);
}

.form-control.error input {
  border-color: var(--error-color);
}

.form-control small{
  color: var(--error-color);
  position: absolute;
  bottom: 0;
  left: 0;
  visibility: hidden;
}

.form-control.error small{
  visibility: visible;
}
.form button {
  cursor: pointer;
  background-color: #276fff;
  border: 2px solid #1f51b7;
  border-radius: 4px;
  color: #fff;
  display: block;
  padding: 10px;
  font-size: 16px;
  margin-top:20px;
  width:100%;
}


/* FOOTER */
#footer {
  display: flex;
  flex-direction: row;
  align-items: center;
  justify-content: center;

  background-color: white;
}

.logos {
  display: flex;
  margin: 2em;
  flex-direction: row;
  width: 80vw;
  block-size: fit-content;
}

.minilogo {
  width: 20%;
}


/* Media Queries */
@media only screen and (max-width: 768px)   {
  #main {
    grid-template-areas:
            "xper"
            "circles"
            "contacto"
            "footer";
    grid-template-rows: 100vh 100vw 1fr 1fr ;
    grid-template-columns: 100vw;
  }

  #region {
    width: 100vw;
  }

  #xper {
    height: 80vh;
    overflow: hidden;
  }

  #xperiencia {
    display: grid;
    align-items: center;
    width: 50%;
    margin: 0 auto;
    padding: 2em 0 2em 0;
  }

  .xptextlast {
    padding-bottom: 2rem;
    margin-bottom: 2rem;
  }

  #circles {
    /*background-color: #190b00;*/
    width: 100vw;
    height: 100vw;
    background-color: black;

    display: grid;
    align-content: center;
  }

  #circulos {
    display: grid;
    align-content: center;

    width: 100%;
  }

  #ruedas {
    /*width: 80vw;*/

    /*height: 80vh;*/

    /*position: absolute;*/
    /*top: 50%;*/
    /*left: 50%;*/
    /*transform: translate(-50%, -50%);*/
  }

  /* CROP IMAGE */
  .crop {
    /*position: relative;*/

    /*width: 150%;*/
    /*height: 150%;*/
    /*overflow: hidden;*/

    /*display: grid;*/
    /*align-content: center;*/
  }

  .crop img {
    /*position: absolute;*/
    /*left: 50%;*/
    /*top: 50%;*/
    /*!*height: 120%;*!*/
    /*width: auto;*/
    /*-webkit-transform: translate(-50%,-50%);*/
    /*-ms-transform: translate(-50%,-50%);*/
    /*transform: translate(-50%,-50%);*/

    display: grid;
    align-content: center;
  }

  .center-cropped {
    /*width: 75vw;*/
    height: 100vw;
    /*background-position: center center;*/
    /*background-repeat: no-repeat;*/

    /*background-image: url("/svg/x-circles.svg");*/
  }

  #contact {
    color: white;
    /*background-color: #FF6000;*/
    position: relative;
    background-color: var(--acentos);
    margin: 0;
    border-top: 1px solid #000000;
  }

  #contactimg {
    height: 5rem;
    padding: 0;

    display: block;
    margin-top: 10px;
    /*margin-left: auto;*/
    /*margin-right: auto;*/
    width: 50vw;

  }

  .forma {
    width: 90vw;
  }

  .invitacion {
    width: 80%;
  }

  #footer {
    display: flex;
    flex-direction: row;
    align-items: flex-start;
    /*justify-content: center;*/

  }

  .logos {
    display: flex;
    margin: 1em;
    flex-direction: column;
    justify-content: flex-end;
    block-size: fit-content;
  }

  .minilogo {
    width: 80%;
    padding: 4px;
    /*margin: 1rem;*/

    display: grid;
    align-content: center;

  }

}

/* HACKS */
.over {
  height: 60vh;
}


/* Debug */
.disappear {
  display: none;
}
